using Nethereum.ABI.FunctionEncoding.Attributes;
using Nethereum.Contracts;
using System.Numerics;

namespace Frontend.Events;

[Event("Swap")]
public class SwapEventDTO : IEventDTO
{
    [Parameter("uint256", "amountIn", 1, true)]
    public BigInteger AmountIn { get; set; }

    [Parameter("uint256", "amountOut", 2, true)]
    public BigInteger AmountOut { get; set; }
}